---
id: examples
title: Examples
---

Different examples are available in the [example folder](https://github.com/PaulLeCam/react-leaflet/tree/master/example) to present various use cases:

- [A simple Marker with Popup](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/simple.js)
- [Event handling](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/events.js)
- [Viewport usage](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/viewport.js)
- [Vector layers (Rectangle, Circle, etc.)](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/vector-layers.js)
- [SVG Overlay](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/svg-overlay.js)
- [Other layers (LayerGroup, FeatureGroup)](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/other-layers.js)
- [Tooltips](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/tooltip.js)
- [Custom zoom control](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/zoom-control.js)
- [Layers control](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/layers-control.js)
- [Custom panes](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/pane.js)
- [Draggable marker toggle](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/draggable-marker.js)
- [Map with bounds](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/bounds.js)
- [Custom component: a list of markers](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/custom-component.js)
- [Animated map](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/animate.js)
- [WMS tile layer](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/wms-tile-layer.js)
- [Video overlay](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/video-overlay.js)
- [Custom icons](https://github.com/PaulLeCam/react-leaflet/blob/master/example/components/custom-icons.js)

These examples can be run locally by cloning the repository, installing the dependencies and running `npm run examples` or `yarn run examples` if you're using Yarn.
